REST API
レコード
アクセス可能なミーティング、発話、インサイト、元メディアURLを取得します。
GET
/v2/workspaces/{slug}/recordsRecord リストの照会
アクセス可能なレコードをフィルタリングし、録画時間でソートして照会します。
パラメータ
slug必須stringpathワークスペーススラッグquerystring | nullqueryレコードのタイトルまたは文字起こしから検索する文字列です。search_mode"all_fields" | "title_terms" | "transcript""all_fields"検索範囲をall_fields、title_terms、transcriptのいずれかで指定します。user_idinteger | nullquery指定したユーザーがアクセスできるレコードのみを取得します。label_idsinteger[] | nullquery絞り込むラベルIDの一覧です。label_filter_condition"and" | "or""and"label_idsの結合条件をandまたはorで指定します。order"id" | "rec_date""id"ソート基準をidまたはrec_dateで指定します。team_idinteger | nullquery指定したチームに関連付けられたレコードのみを取得します。team_idsinteger[] | nullquery指定したチームのいずれかに関連付けられたレコードのみを取得します。next_tokenstring | nullquery次のページの取得に使用するトークンです。次のページがない場合はnullです。owner_user_idinteger | nullquery指定したユーザーが所有するレコードのみを取得します。owner_user_idsinteger[] | nullquery指定したユーザーのいずれかが所有するレコードのみを取得します。record_sourcesRecordSource[] | nullquery絞り込むレコード収集元の一覧です。start_datestring (date) | nullqueryレコード検索期間の開始日です。end_datestring (date) | nullqueryレコード検索期間の終了日です。limitintegerqueryデフォルト100返却する項目の最大数です。
リクエスト例
curl --request GET \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/records" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT"成功レスポンス
レスポンス本文
items必須V2RecordListItem[]取得されたレコードの一覧です。id必須integerレコードの識別子です。uuidstring | nullクライアントが指定したレコードUUIDです。titlestring | nullレコードのタイトルです。source必須RecordSourceレコードの取得元です。status必須RecordStatusレコードの処理状態です。recorded_at必須string (date-time)録音または録画の終了日時です。started_at必須string (date-time)録音または録画が開始された日時です。duration_msinteger | nullレコードの長さです。単位はミリ秒です。scope必須RecordScopeレコードの公開範囲です。owner必須V2RecordMemberSummary | nullレコードを所有するメンバーです。teams必須V2TeamSummary[]レコードが所属するチームの一覧です。labels必須V2Label[]レコードに適用されたラベルの一覧です。filesize必須integer元メディアのファイルサイズです。単位はバイトです。created_at必須string (date-time)レコードの作成日時です。is_ready必須booleanレコードを取得できる状態かどうかを示します。is_title_generating必須booleanレコードタイトルの生成中かどうかを示します。is_auto_label_generating必須booleanラベル候補の自動生成中かどうかを示します。permissions必須objectリクエスト実行者に許可されたレコード権限です。eventV2RecordEvent | nullレコードに関連付けられた予定です。access必須V2RecordAccessレコードにアクセスできるチームとメンバーです。availabilityV2RecordAvailability | nullレコードデータの保持状態です。shared_recordV2SharedRecordSummary | null外部共有情報です。export_histories必須V2RecordExportHistory[]レコードのエクスポート履歴です。recommended_labels必須V2RecommendedLabel[]レコードの推奨ラベル一覧です。next_tokenstring | null次のページを取得するトークンです。最終ページではnullです。
レスポンス例
{
"items": [
{
"id": 1,
"source": "zoom",
"status": "created",
"recorded_at": "2026-08-27T03:00:00Z",
"started_at": "2026-08-27T03:00:00Z",
"scope": "workspace",
"owner": {
"id": 1,
"name": "Example",
"email": "developer@example.com"
},
"teams": [
{
"id": 1,
"name": "Example"
}
],
"labels": [
{
"id": 1,
"name": "Example",
"color": "string"
}
],
"filesize": 1,
"created_at": "2026-08-27T03:00:00Z",
"is_ready": true,
"is_title_generating": true,
"is_auto_label_generating": true,
"permissions": {},
"access": {
"teams": [
{
"id": 1,
"name": "Example"
}
],
"members": [
{
"id": 1,
"name": "Example",
"email": "developer@example.com"
}
]
},
"export_histories": [
{
"id": 1,
"workspace_id": 1,
"record_id": 1,
"member_id": 1,
"platform_unique_id": "string",
"ref_url": "https://api.callabo.ai/example",
"platform": "salesforce",
"export_type": "case",
"created_at": "2026-08-27T03:00:00Z",
"updated_at": "2026-08-27T03:00:00Z"
}
],
"recommended_labels": [
{
"label_id": 1,
"label_name": "string"
}
]
}
]
}エラー
| ステータス | エラーコード | 説明 |
|---|---|---|
| 401 | UNAUTHORIZED | 未認証のリクエスト |
| 403 | FORBIDDEN | リクエスト元の権限が不足しています |
| 404 | WORKSPACE_NOT_FOUND | 存在しません |
| 422 | VALIDATION_ERROR | 処理できないコンテンツ |
| 429 | RATE_LIMIT_EXCEEDED | リクエスト上限超過詳細 |
発話とインサイト
発話とインサイトは個別のGET APIではありません。レコード詳細のincludeに必要な値をカンマ区切りで指定します。
GET
/v2/workspaces/{slug}/records/{record_id}レコード詳細取得
レコードを取得し、includeにdialogsとinsightsを指定して同時に取得できます。
パラメータ
record_id必須integerpathレコードの識別子です。slug必須stringpathワークスペーススラッグincludestring | nullquery含めるサブリソースをdialogs,insights形式で指定します。querystring | nullquery文字起こし内を検索する文字列です。指定すると一致した文字起こしも返します。
リクエスト例
curl --request GET \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/records/1" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT"成功レスポンス
レスポンス本文
record必須V2Record取得されたレコードです。id必須integerレコードの識別子です。uuidstring | nullクライアントが指定したレコードUUIDです。titlestring | nullレコードのタイトルです。source必須RecordSourceレコードの取得元です。status必須RecordStatusレコードの処理状態です。recorded_at必須string (date-time)録音または録画の終了日時です。started_at必須string (date-time)録音または録画が開始された日時です。duration_msinteger | nullレコードの長さです。単位はミリ秒です。scope必須RecordScopeレコードの公開範囲です。owner必須V2RecordMemberSummary | nullレコードを所有するメンバーです。teams必須V2TeamSummary[]レコードが所属するチームの一覧です。labels必須V2Label[]レコードに適用されたラベルの一覧です。filesize必須integer元メディアのファイルサイズです。単位はバイトです。protected_from_deletion必須booleanレコードが削除から保護されているかどうかを示します。permissions必須objectリクエスト実行者に許可されたレコード権限です。created_at必須string (date-time)レコードの作成日時です。updated_at必須string (date-time)レコードの最終更新日時です。is_readyboolean | nullレコードを取得できる状態かどうかを示します。is_title_generatingboolean | nullレコードタイトルの生成中かどうかを示します。is_auto_label_generatingboolean | nullラベル候補の自動生成中かどうかを示します。eventV2RecordEvent | nullレコードに関連付けられた予定です。accessV2RecordAccess | nullレコードにアクセスできるチームとメンバーです。availabilityV2RecordAvailability | nullレコードデータの保持状態です。extraV2RecordExtra | nullレコード処理と文字起こしの追加情報です。related_call_recordsV2RelatedCallRecord[] | null同じ電話番号に関連付けられた通話レコードの一覧です。pii_redaction_activeboolean | null個人情報のマスキングポリシーが有効かどうかを示します。shared_recordV2SharedRecordSummary | null外部共有情報です。export_historiesV2RecordExportHistory[] | nullレコードのエクスポート履歴です。recommended_labelsV2RecommendedLabel[] | nullレコードの推奨ラベル一覧です。dialogsV2Dialog[] | nullincludeで指定された文字起こしです。id必須integer文字起こし内の発話識別子です。start_ms必須integer発話の開始時刻です。単位はミリ秒です。duration_ms必須integer発話の長さです。単位はミリ秒です。speaker_id必須integer話者の識別子です。text必須string発話内容です。bookmark必須boolean発話がブックマークされているかどうかを示します。original_textstring | nullマスキング前の原文です。閲覧権限がない場合はnullです。pii_spansobject[] | null発話内容でマスキングされた個人情報の範囲です。insightsV2Insight[] | nullincludeで指定されたインサイトの一覧です。record_id必須integerインサイトが属するレコードの識別子です。type必須InsightTypeインサイトのタイプです。status必須"created" | "processed" | "failed" | "not_supported"インサイトの処理状態です。value必須InsightValue | null生成されたインサイトの内容です。language必須RecordInsightLanguageインサイト結果の言語です。custom_insight_template_idinteger | nullインサイト生成に使用したカスタムテンプレートの識別子です。is_edited必須booleanユーザーが編集したかどうかを示します。edited_by_member_idinteger | nullインサイトを編集したメンバーの識別子です。edited_atstring (date-time) | nullインサイトの編集日時です。
レスポンス例
{
"record": {
"id": 1,
"source": "zoom",
"status": "created",
"recorded_at": "2026-08-27T03:00:00Z",
"started_at": "2026-08-27T03:00:00Z",
"scope": "workspace",
"owner": {
"id": 1,
"name": "Example",
"email": "developer@example.com"
},
"teams": [
{
"id": 1,
"name": "Example"
}
],
"labels": [
{
"id": 1,
"name": "Example",
"color": "string"
}
],
"filesize": 1,
"protected_from_deletion": true,
"permissions": {},
"created_at": "2026-08-27T03:00:00Z",
"updated_at": "2026-08-27T03:00:00Z"
}
}エラー
| ステータス | エラーコード | 説明 |
|---|---|---|
| 401 | UNAUTHORIZED | 未認証のリクエスト |
| 403 | FORBIDDEN | リクエスト元の権限が不足しています |
| 404 | RECORD_NOT_FOUND, WORKSPACE_NOT_FOUND | 存在しません |
| 422 | INVALID_INCLUDE, VALIDATION_ERROR | 処理できないコンテンツ |
| 429 | RATE_LIMIT_EXCEEDED | リクエスト上限超過詳細 |
元メディア
ファイル本体ではなく短時間有効なURLを返します。SRT・VTT字幕のダウンロードは初回範囲に含まれません。
GET
/v2/workspaces/{slug}/records/{record_id}/mediaレコードメディアURLの検索
1時間以上有効なレコードの元メディア用ダウンロードURLを発行します。
パラメータ
record_id必須integerpathレコードの識別子です。slug必須stringpathワークスペーススラッグ
リクエスト例
curl --request GET \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/records/1/media" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT"成功レスポンス
レスポンス本文
url必須string元メディアをダウンロードするための一時URLです。expires_at必須string一時URLの有効期限です。filenamestring | null元のメディアファイル名です。content_typestring | null元メディアのMIMEタイプです。
レスポンス例
{
"url": "https://api.callabo.ai/example",
"expires_at": "2026-08-27T03:00:00Z"
}エラー
| ステータス | エラーコード | 説明 |
|---|---|---|
| 401 | UNAUTHORIZED | 未認証のリクエスト |
| 403 | FORBIDDEN | リクエスト元の権限が不足しています |
| 404 | RECORD_NOT_FOUND, MEDIA_NOT_FOUND, WORKSPACE_NOT_FOUND | 存在しません |
| 409 | RECORD_NOT_READY | 競合 |
| 422 | VALIDATION_ERROR | 処理できないコンテンツ |
| 429 | RATE_LIMIT_EXCEEDED | リクエスト上限超過詳細 |
GET
/v2/workspaces/{slug}/records/{record_id}/shareRecord 外部共有の照会
レコードの外部共有設定と共有リンク情報を取得します。
パラメータ
slug必須stringpathワークスペーススラッグrecord_id必須integerpathレコードの識別子です。
リクエスト例
curl --request GET \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/records/1/share" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT"成功レスポンス
レスポンス本文
record_id必須integer共有されたレコードの識別子です。share_id必須string外部共有の識別子です。title必須string | null共有ページのタイトルです。duration必須SharedRecordDuration共有レコードを再生できる期間です。url必須string共有レコードの詳細を取得するパスです。created_at必須string (date-time)外部共有の作成日時です。expires_atstring (date-time) | null外部共有の有効期限です。
レスポンス例
{
"record_id": 1,
"share_id": "string",
"title": "Weekly sync",
"duration": "7d",
"url": "https://api.callabo.ai/example",
"created_at": "2026-08-27T03:00:00Z"
}エラー
| ステータス | エラーコード | 説明 |
|---|---|---|
| 401 | UNAUTHORIZED | 未認証のリクエスト |
| 403 | FORBIDDEN | リクエスト元の権限が不足しています |
| 404 | RECORD_NOT_FOUND, SHARE_NOT_FOUND, WORKSPACE_NOT_FOUND | 存在しません |
| 422 | VALIDATION_ERROR | 処理できないコンテンツ |
| 429 | RATE_LIMIT_EXCEEDED | リクエスト上限超過詳細 |
PUT
/v2/workspaces/{slug}/records/{record_id}/shareレコード外部共有作成・更新
レコードの外部共有設定を作成、または既存の設定を更新します。
パラメータ
slug必須stringpathワークスペーススラッグrecord_id必須integerpathレコードの識別子です。
リクエスト本文
作成または更新する外部共有設定です。
title必須string共有ページに表示するタイトルです。expires_in_days必須7 | 30 | 60 | 90 | null共有リンクの有効期間です。null の場合は有効期限がありません。
リクエスト例
curl --request PUT \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/records/1/share" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT" \
--header "Content-Type: application/json" \
--data '{
"title": "Weekly sync",
"expires_in_days": 7
}'成功レスポンス
レスポンス本文
shared_record必須V2SharedRecord作成または更新された外部共有情報です。record_id必須integer共有されたレコードの識別子です。share_id必須string外部共有の識別子です。title必須string | null共有ページのタイトルです。duration必須SharedRecordDuration共有レコードを再生できる期間です。url必須string共有レコードの詳細を取得するパスです。created_at必須string (date-time)外部共有の作成日時です。expires_atstring (date-time) | null外部共有の有効期限です。password必須string共有レコードの閲覧に使用するパスワードです。
レスポンス例
{
"shared_record": {
"record_id": 1,
"share_id": "string",
"title": "Weekly sync",
"duration": "7d",
"url": "https://api.callabo.ai/example",
"created_at": "2026-08-27T03:00:00Z"
},
"password": "string"
}エラー
| ステータス | エラーコード | 説明 |
|---|---|---|
| 401 | UNAUTHORIZED | 未認証のリクエスト |
| 403 | FORBIDDEN | リクエスト元の権限が不足しています |
| 404 | RECORD_NOT_FOUND, SHARE_NOT_FOUND, WORKSPACE_NOT_FOUND | 存在しません |
| 409 | RECORD_NOT_READY | 競合 |
| 422 | VALIDATION_ERROR | 処理できないコンテンツ |
| 429 | RATE_LIMIT_EXCEEDED | リクエスト上限超過詳細 |
DELETE
/v2/workspaces/{slug}/records/{record_id}/shareレコード外部共有削除
レコードの外部共有設定と共有リンクを削除します。
パラメータ
record_id必須integerpathレコードの識別子です。slug必須stringpathワークスペーススラッグ
リクエスト例
curl --request DELETE \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/records/1/share" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT"成功レスポンス
エラー
| ステータス | エラーコード | 説明 |
|---|---|---|
| 401 | UNAUTHORIZED | 未認証のリクエスト |
| 403 | FORBIDDEN | リクエスト元の権限が不足しています |
| 404 | RECORD_NOT_FOUND, SHARE_NOT_FOUND, WORKSPACE_NOT_FOUND | 存在しません |
| 422 | VALIDATION_ERROR | 処理できないコンテンツ |
| 429 | RATE_LIMIT_EXCEEDED | リクエスト上限超過詳細 |
GET
/v2/workspaces/{slug}/records/{record_id}/export-historiesRecord export history ルックアップ
レコードの外部エクスポート履歴をページ単位で取得します。
パラメータ
record_id必須integerpathレコードの識別子です。slug必須stringpathワークスペーススラッグoffsetintegerqueryデフォルト0最初に返却する項目の0始まりのオフセットです。limitintegerqueryデフォルト20返却する項目の最大数です。
リクエスト例
curl --request GET \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/records/1/export-histories" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT"成功レスポンス
レスポンス本文
items必須V2RecordExportHistory[]レコードのエクスポート履歴です。id必須integerエクスポート履歴の識別子です。workspace_id必須integerワークスペースの識別子です。record_id必須integerエクスポートされたレコードの識別子です。member_id必須integerエクスポートを実行したメンバーの識別子です。platform_unique_id必須string外部プラットフォームで作成された項目の識別子です。ref_url必須string外部プラットフォームでエクスポート項目を確認できるURLです。platform必須RecordExportPlatformTypeエクスポート先の外部プラットフォームです。export_type必須RecordExportTypeエクスポートしたコンテンツの種類です。titlestring | nullエクスポートされた項目のタイトルです。metadataobject | nullエクスポート結果の追加情報です。created_at必須string (date-time)エクスポート履歴の作成日時です。updated_at必須string (date-time)エクスポート履歴の最終更新日時です。page必須V2Paginationエクスポート履歴のページ情報です。offset必須integer最初に返却する項目の0始まりのオフセットです。limit必須integer指定された最大項目数です。total必須integer条件に一致する項目の総数です。
レスポンス例
{
"items": [
{
"id": 1,
"workspace_id": 1,
"record_id": 1,
"member_id": 1,
"platform_unique_id": "string",
"ref_url": "https://api.callabo.ai/example",
"platform": "salesforce",
"export_type": "case",
"created_at": "2026-08-27T03:00:00Z",
"updated_at": "2026-08-27T03:00:00Z"
}
],
"page": {
"offset": 1,
"limit": 1,
"total": 1
}
}エラー
| ステータス | エラーコード | 説明 |
|---|---|---|
| 401 | UNAUTHORIZED | 未認証のリクエスト |
| 403 | FORBIDDEN | リクエスト元の権限が不足しています |
| 404 | RECORD_NOT_FOUND | 存在しません |
| 422 | VALIDATION_ERROR | 処理できないコンテンツ |
| 429 | RATE_LIMIT_EXCEEDED | リクエスト上限超過詳細 |
GET
/v2/workspaces/{slug}/shared-records共有レコードのリストを見る
ワークスペースで外部共有中のレコード一覧を取得します。
パラメータ
slug必須stringpathワークスペーススラッグnext_tokenstring | nullquery次のページの取得に使用するトークンです。次のページがない場合はnullです。limitintegerqueryデフォルト100返却する項目の最大数です。
リクエスト例
curl --request GET \
--url "https://api.callabo.ai/v2/workspaces/your-workspace/shared-records" \
--header "Accept: application/json" \
--header "Authorization: Bearer $CALLABO_PAT"成功レスポンス
レスポンス本文
items必須V2RecordListItem[]取得されたレコードの一覧です。id必須integerレコードの識別子です。uuidstring | nullクライアントが指定したレコードUUIDです。titlestring | nullレコードのタイトルです。source必須RecordSourceレコードの取得元です。status必須RecordStatusレコードの処理状態です。recorded_at必須string (date-time)録音または録画の終了日時です。started_at必須string (date-time)録音または録画が開始された日時です。duration_msinteger | nullレコードの長さです。単位はミリ秒です。scope必須RecordScopeレコードの公開範囲です。owner必須V2RecordMemberSummary | nullレコードを所有するメンバーです。teams必須V2TeamSummary[]レコードが所属するチームの一覧です。labels必須V2Label[]レコードに適用されたラベルの一覧です。filesize必須integer元メディアのファイルサイズです。単位はバイトです。created_at必須string (date-time)レコードの作成日時です。is_ready必須booleanレコードを取得できる状態かどうかを示します。is_title_generating必須booleanレコードタイトルの生成中かどうかを示します。is_auto_label_generating必須booleanラベル候補の自動生成中かどうかを示します。permissions必須objectリクエスト実行者に許可されたレコード権限です。eventV2RecordEvent | nullレコードに関連付けられた予定です。access必須V2RecordAccessレコードにアクセスできるチームとメンバーです。availabilityV2RecordAvailability | nullレコードデータの保持状態です。shared_recordV2SharedRecordSummary | null外部共有情報です。export_histories必須V2RecordExportHistory[]レコードのエクスポート履歴です。recommended_labels必須V2RecommendedLabel[]レコードの推奨ラベル一覧です。next_tokenstring | null次のページを取得するトークンです。最終ページではnullです。
レスポンス例
{
"items": [
{
"id": 1,
"source": "zoom",
"status": "created",
"recorded_at": "2026-08-27T03:00:00Z",
"started_at": "2026-08-27T03:00:00Z",
"scope": "workspace",
"owner": {
"id": 1,
"name": "Example",
"email": "developer@example.com"
},
"teams": [
{
"id": 1,
"name": "Example"
}
],
"labels": [
{
"id": 1,
"name": "Example",
"color": "string"
}
],
"filesize": 1,
"created_at": "2026-08-27T03:00:00Z",
"is_ready": true,
"is_title_generating": true,
"is_auto_label_generating": true,
"permissions": {},
"access": {
"teams": [
{
"id": 1,
"name": "Example"
}
],
"members": [
{
"id": 1,
"name": "Example",
"email": "developer@example.com"
}
]
},
"export_histories": [
{
"id": 1,
"workspace_id": 1,
"record_id": 1,
"member_id": 1,
"platform_unique_id": "string",
"ref_url": "https://api.callabo.ai/example",
"platform": "salesforce",
"export_type": "case",
"created_at": "2026-08-27T03:00:00Z",
"updated_at": "2026-08-27T03:00:00Z"
}
],
"recommended_labels": [
{
"label_id": 1,
"label_name": "string"
}
]
}
]
}エラー
| ステータス | エラーコード | 説明 |
|---|---|---|
| 401 | UNAUTHORIZED | 未認証のリクエスト |
| 403 | FORBIDDEN | リクエスト元の権限が不足しています |
| 404 | WORKSPACE_NOT_FOUND | 存在しません |
| 422 | VALIDATION_ERROR | 処理できないコンテンツ |
| 429 | RATE_LIMIT_EXCEEDED | リクエスト上限超過詳細 |